<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        DB::statement("ALTER TABLE candidats MODIFY COLUMN statut ENUM('en_attente','soumis','attente_paiement','paiement_recu','contrat_formation_signe','formation_suivie','disponible','en_mission','suspendu','archive') NOT NULL DEFAULT 'en_attente'");
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        DB::statement("ALTER TABLE candidats MODIFY COLUMN statut ENUM('soumis','attente_paiement','paiement_recu','contrat_formation_signe','formation_suivie','disponible','en_mission','suspendu','archive') NOT NULL DEFAULT 'soumis'");
    }
};
